"use strict";
cc._RF.push(module, '3cd87QOUzNMN6Dp5FLroCvT', 'bullet');
// js/bullet.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {},

    ctor: function ctor() {
        this.speed = 1000;
    },


    // onLoad () {},

    start: function start() {},
    update: function update(dt) {

        var vx = this.speed * dt;
        var drgee = -20;
        var radian = drgee * 180 / Math.PI;
        var vy = Math.tan(radian) * vx;

        this.node.rotation = drgee;
        this.node.x += vx;
        this.node.y += vy;
    }
});

cc._RF.pop();